Bug 13856 - Hard to translate strings on patron search results page
Summary: Hard to translate strings on patron search results page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-17 22:22 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13856: Hard to translate strings on patron search results page (1.77 KB, patch)
2015-03-17 22:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13856: Hard to translate strings on patron search results page (1.83 KB, patch)
2015-03-18 19:30 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 13856: Hard to translate strings on patron search results page (1.88 KB, patch)
2015-03-19 09:13 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-03-17 22:22:30 UTC
Add selected patrons to: at the top of the patron search result table is hard to translate correctly, because the 'to:' appears as a separate string.

<span>
Add selected patrons
<label for="add_to_patron_list">to:</label>

Results in:
Add selected patrons
to:
Comment 1 Katrin Fischer 2015-03-17 22:33:43 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2015-03-18 19:30:35 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-03-19 09:13:16 UTC
Created attachment 36998 [details] [review]
Bug 13856: Hard to translate strings on patron search results page

'Add selected patrons to:' at the top of the patron search result
table is hard to translate correctly, because the 'to:' appears
as a separate string from the rest of the sentence.

To test:
- Make sure patron lists are activated
- Do a patron search with more than 1 result
- Look for the text at the top of the search results table
- Verify it looks the same before and after the patch

Bonus:
- run perl translate update <langcode> and verify the
  2 strings are now 1 string with the patch applied

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Tomás Cohen Arazi 2015-03-25 14:31:50 UTC
Patch pushed to master.

Nice catch Katrina!
Comment 5 Chris Cormack 2015-03-28 00:09:56 UTC
Pushed to 3.18.x will be in 3.18.6